#include <iostream>

using namespace std;

int main()
{
    string a;
    cin >> a;
    int b=a.length()-1,c=0;
    for(int i=0; i<a.length(); i++){
        if(a[i] == '2'){
            a[i] = '5';
        }
        else if(a[i] == '5'){
            a[i] = '2';
        }
    }
    while(a[b]=='0'){
        b--;
        c++;
    }
    for(int i=a.length()-(c+1); i>=0; i--){
        cout << a[i];
    }
    return 0;
}
